--- user-service

alter table users add [type] nvarchar(255);
update users set [type] = 'user';

-- user-service-token

create table user_service_tokens (
    id bigint primary key identity(1, 1),
    user_id bigint not null references users(id),
    token nvarchar(1024) not null,
    deleted bit not null,

    created_at datetimeoffset not null,
    deleted_at datetimeoffset
);

create index user_service_tokens_user_ix on user_service_tokens(user_id);
create unique index user_service_tokens_uniq on user_service_tokens(token);
